﻿using System;

// Request.cs
class Request
{
    private string theRequest = "A request";

    public string GetRequest()
    {
        return theRequest;
    }
}

// Business.cs
class Business
{
    public void DoSomething()
    {
        // Perform business logic here
    }
}

// Controller.cs
class Controller
{
    private Business business = new Business();

    public void Handle(Request request)
    {
        // Process the request and invoke business logic
        // ...
        business.DoSomething();
        // ...
    }
}

// RequestProcessor.cs
class RequestProcessor
{
    private Controller controller = new Controller();

    public void Process(Request request)
    {
        // Process the request and invoke the controller
        // ...
        controller.Handle(request);
        // ...
    }
}

// Application.cs
class Application
{
    private RequestProcessor requestProcessor = new RequestProcessor();

    public void Serve(Request request)
    {
        // Serve the request by invoking the request processor
        // ...
        Console.WriteLine("process(" + request.GetRequest() + ")");
        requestProcessor.Process(request);
        // ...
    }
}

// Program.cs
class Stateless
{
    static void Main()
    {
        Application app = new Application();
        Request request = new Request();
        app.Serve(request);
    }
}
